services:
  dynamic_path_aliases.manager:
    class: Drupal\dynamic_path_aliases\PathRewriteManager
    arguments: ["@cache.data", "@entity_type.manager"]

  dynamic_path_aliases.path_processor:
    class: Drupal\dynamic_path_aliases\PathProcessor\PathRewriteProcessor
    arguments: ["@dynamic_path_aliases.manager"]
    tags:
      - { name: path_processor_inbound, priority: 50 }
      - { name: path_processor_outbound, priority: 250 }
